Function
atBegin
Determines whether an iterator is at the beginning position.
bool atBegin(iterator [, container])
Include Headers
seqan/basic.h, seqan/graph_types.h
Parameters

iterator | An iterator. Types: RootedIteratorConcept: AnnotationTree Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, Iter, Out-Edge Iterator, Segment, Vertex Iterator
container | Container of iterator. (optional) Remarks: If iterator implements RootedIteratorConcept then container is optional otherwise container is required.

Return Values
true if iterator points to the fist item of the container, otherwise false.
Member of
Bfs Iterator, Edge Iterator, Iter, Vertex Iterator, Dfs Preorder Iterator, Out-Edge Iterator, Adjacency Iterator, Segment
Example Programs
Iterator Basics
Part of Concept
RootedIteratorConcept, ContainerConcept
See Also
begin, atEnd, goBegin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57